=== debian/changelog ===
mystuff (2.5-1mx150+1) mx; urgency=low

  * Initial packaging.

 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Mon, 18 Apr 2016 10:57:24 -0700
