=== debian/control ===
Source: mystuff
Section: utils
Priority: optional
Maintainer: Steven Pusser (Stevo) <maintainer@mepiscommunity.org>
Build-Depends: debhelper (>=9), libgtk-3-dev
Standards-Version: 3.9.6
Homepage:  http://kornelix.net


Package: mystuff
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: custom graphic menu in a popup window
 Menus (app launchers) may have text and/or icons. 
 Arrange menus in the window by dragging with the mouse. 
 Add extra text information anywhere in the window.
